unit Entities;

interface

uses
  System.Generics.Collections,
  Aurelius.Mapping.Attributes;

type
  [Entity, Automapping]
  TChild = class
  private
    FId: Integer;
    FName: string;
  public
    property Id: Integer read FId write FId;
    property Name: string read FName write FName;
  end;

  [Entity, Automapping]
  TParent = class
  private
    FId: Integer;
    FName: string;
    FChildren: TList<TChild>;
  public
    property Id: Integer read FId write FId;
    property Name: string read FName write FName;
    property Children: TList<TChild> read FChildren;
  end;

implementation

initialization
  RegisterEntity(TParent);
  RegisterEntity(TChild);

end.
